<?php

namespace Aoc2025;

abstract class Day {

  /**
   * Run the day's challenge.
   */
  abstract public function run();

  /**
   * Get the input file for the day.
   *
   * @param string $filepath
   *   The path to the input file.
   *
   * @return string
   *   The contents of the input file.
   */
  public function getInputFile($file = '') {
    if (!$file) {
      throw new \Exception('Please provide name for the input file.');
    }

    return file_get_contents(__DIR__ . '/../inputs/' . $file);
  }

}
